const gulp = require('gulp');
const stylus = require('gulp-stylus');
const rename = require('gulp-rename');

gulp.task('start', [ 'build:stylus', 'build:cssmin', 'watch:build' ]);

gulp.task('watch:build', () => {
    return gulp.watch('**/*.styl', ['build:stylus','build:cssmin'])
});

// Compress CSS
gulp.task('build:cssmin', () => {
    return gulp.src(['./src/stylus/jasmine.styl','./src/stylus/jasmine-theme.styl'])
        .pipe(stylus({ compress: true }))
        .pipe(rename({ suffix: '.min' }))
        .pipe(gulp.dest("./dist/css"))
});

// Compile CSS
gulp.task('build:stylus', () => {
    return gulp.src(['./src/stylus/jasmine.styl','./src/stylus/jasmine-theme.styl'])
        .pipe(stylus())
        .pipe(gulp.dest("./dist/css"))
});

gulp.task('default', []);
